#include <bits/stdc++.h>
#define ll long long
#define n s.size()
using namespace std;

int a[100010];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    bool jesul0ili1=1;
    unsigned int rez=0,pravirez=UINT_MAX;
    unsigned int k, j;
    string s;
    cin >> s;
    for(unsigned int i=0;i<s.size();i++)
    {
        a[i]=((int)s[i])-48;
        if(a[i]!=0 && a[i]!=1)
        {
            jesul0ili1=0;
        }
    }
    if(jesul0ili1==1)
    {
        for(unsigned int i=0;i<s.size();i++)
        {
            rez=0;
            for(j=0;j<i;j++)
            {
                if(a[j]!=1)
                rez++;
            }
            for(k=i+1;k<s.size();k++)
            {
                if(a[k]!=0)
                rez++;
            }
            pravirez=min(rez,pravirez);
        }
        for(unsigned int i=0;i<s.size();i++)
        {
            rez=0;
            for(j=0;j<i;j++)
            {
                if(a[j]!=0)
                rez++;
            }
            for(k=i+1;k<s.size();k++)
            {
                if(a[k]!=1)
                rez++;
            }
            pravirez=min(rez,pravirez);
        }
        cout << pravirez;
    }
    else
    {
        cout << "0";
    }
    return 0;
}